from redbot.core import Config

config: Config = Config.get_conf(None, identifier=457581387213637448123567, cog_name="Pterodactyl", force_registration=True)

def register_config(config_obj: Config) -> None:
    config_obj.register_global(
        base_url=None,
        server_id=None,
        console_channel=None,
        startup_jar=None,
        startup_arguments=None,
        current_status='',
        chat_regex=r"\[\d{2}:\d{2}:\d{2}\sINFO\]: <(\w+)>\s(.*)",
        server_regex=r"^\[\d{2}:\d{2}:\d{2} INFO\]:(?: \[Not Secure\])? \[(?:Server|Rcon)\] (.*)",
        join_regex=r"^\[\d{2}:\d{2}:\d{2} INFO\]: ([^<\n]+) joined the game$",
        leave_regex=r"^\[\d{2}:\d{2}:\d{2} INFO\]: ([^<\n]+) left the game$",
        achievement_regex=r"^\[\d{2}:\d{2}:\d{2} INFO\]: (.*) has (made the advancement|completed the challenge) \[(.*)\]$",
        chat_command='tellraw @a ["",{"text":".$D ","color":".$C"},{"text":" (DISCORD): ","color":"blue"},{"text":".$M","color":"white"}]',
        api_endpoint="minecraft",
        chat_channel=None,
        startup_msg='Server started!',
        shutdown_msg='Server stopped!',
        join_msg='Welcome to the server! 👋',
        leave_msg='Goodbye! 👋',
        mask_ip=True,
    )
